CVE-2018-20548

NameCVE-2018-20548
DescriptionThere is an illegal WRITE memory access at common-image.c (function load_image) in libcaca 0.99.beta19 for 1bpp data.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs917807

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libcaca (PTS)jessie (security)0.99.beta19-2+deb8u1vulnerable
buster, sid, jessie, stretch0.99.beta19-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libcacasource(unstable)(unfixed)unimportant917807

Notes

https://bugzilla.redhat.com/show_bug.cgi?id=1652625
https://github.com/cacalabs/libcaca/issues/40
Upstream fix: https://github.com/cacalabs/libcaca/commit/f6c61faa26b3e150c3daf514589afa737f42f152
https://github.com/cacalabs/libcaca/commit/3e52dabe3e64dc50f4422effe364a1457a8a8592
Debian binary packages built with the Imlib2 library

Search for package or bug name: Reporting problems